Description

The installation was implemented using

http://www.redmine.org/projects/redmine/wiki/HowTo_Install_Redmine_on_Ubuntu_step_by_step

After some unsuccessful installation attempt I choosed sqlite instead of mysql, but the admin login problem remained. On 

http://172.16.2.190/redmine/login page using admin account and the default password I got error message:

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Linux redmine 3.11.0-12-generic #19-Ubuntu SMP Wed Oct 9 16:20:46 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

redmine 2.3.1-1

redmine-sqlite 2.3.1-1

ruby 1.9.3p194 (2012-04-20 revision 35410) [x86_64-linux]

ruby-rails-3.2 3.2.13-2

I can see in /var/log/redmine/default/production.log:

Successful authentication for 'admin' from 172.16.2.141 at 2013-10-25 09:12:26 UTC

Redirected to http://172.16.2.190/redmine

Completed 302 Found in 11ms (ActiveRecord: 7.4ms)

NoMethodError (undefined method `options' for {:user_id=>1, :ctime=>1382692346, :atime=>1382692346}:Hash):

/usr/lib/ruby/vendor_ruby/rack/session/abstract/id.rb:329:in `commit_session'

/usr/lib/ruby/vendor_ruby/rack/session/abstract/id.rb:226:in `context'

/usr/lib/ruby/vendor_ruby/rack/session/abstract/id.rb:220:in `call'

/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/cookies.rb:341:in `call'

/usr/lib/ruby/vendor_ruby/active_record/query_cache.rb:64:in `call'

/usr/lib/ruby/vendor_ruby/active_record/connection_adapters/abstract/connection_pool.rb:479:in `call'

/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/callbacks.rb:28:in `block in call'

/usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:405:in

`_run__990089350437757293__call__3512543106106846500__callbacks'

/usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:405:in `__run_callback'

/usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:385:in `_run_call_callbacks'

/usr/lib/ruby/vendor_ruby/active_support/callbacks.rb:81:in `run_callbacks'

/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/callbacks.rb:27:in `call'

/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/remote_ip.rb:31:in `call'

/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/debug_exceptions.rb:16:in `call'

/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/show_exceptions.rb:56:in `call'

/usr/lib/ruby/vendor_ruby/rails/rack/logger.rb:32:in `call_app'

/usr/lib/ruby/vendor_ruby/rails/rack/logger.rb:16:in `block in call'

/usr/lib/ruby/vendor_ruby/active_support/tagged_logging.rb:22:in `tagged'

/usr/lib/ruby/vendor_ruby/rails/rack/logger.rb:16:in `call'

/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/request_id.rb:22:in `call'

/usr/lib/ruby/vendor_ruby/rack/methodoverride.rb:21:in `call'

/usr/lib/ruby/vendor_ruby/rack/runtime.rb:17:in `call'

/usr/lib/ruby/vendor_ruby/active_support/cache/strategy/local_cache.rb:72:in `call'

/usr/lib/ruby/vendor_ruby/rack/lock.rb:17:in `call'

/usr/lib/ruby/vendor_ruby/action_dispatch/middleware/static.rb:63:in `call'

/usr/lib/ruby/vendor_ruby/rack/cache/context.rb:136:in `forward'
/usr/lib/ruby/vendor_ruby/rack/cache/context.rb:143:in `pass'

/usr/lib/ruby/vendor_ruby/rack/cache/context.rb:155:in `invalidate'

/usr/lib/ruby/vendor_ruby/rack/cache/context.rb:71:in `call!'

/usr/lib/ruby/vendor_ruby/rack/cache/context.rb:51:in `call'

/usr/lib/ruby/vendor_ruby/rails/engine.rb:479:in `call'

/usr/lib/ruby/vendor_ruby/rails/application.rb:223:in `call'

/usr/lib/ruby/vendor_ruby/rails/railtie/configurable.rb:30:in `method_missing'

/usr/lib/ruby/vendor_ruby/phusion_passenger/rack/request_handler.rb:96:in `process_request'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:516:in `accept_and_process_next_request'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_request_handler.rb:274:in `main_loop'

/usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:321:in `start_request_handler'

/usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:275:in `block in handle_spawn_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/utils.rb:479:in `safe_fork'

/usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:270:in `handle_spawn_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:180:in `start'

/usr/lib/ruby/vendor_ruby/phusion_passenger/classic_rails/application_spawner.rb:149:in `start'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:219:in `block (2 levels) in spawn_rails_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:132:in `lookup_or_add'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:214:in `block in spawn_rails_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:82:in `block in synchronize'

<internal:prelude>:10:in `synchronize'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:213:in `spawn_rails_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:132:in `spawn_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/spawn_manager.rb:275:in `handle_spawn_application'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:357:in `server_main_loop'

/usr/lib/ruby/vendor_ruby/phusion_passenger/abstract_server.rb:206:in `start_synchronously'

/usr/share/phusion-passenger/helper-scripts/passenger-spawn-server:99:in `<main>'

History

#1 - 2013-12-11 03:43 - Jan from Planio www.plan.io

- Subject changed from Admin login after fresh install on Ububtu gives Redmine 500 error to Problems running Redmine after installation following

Ubuntu tutorial from the wiki

- Category changed from Accounts / authentication to Documentation

- Status changed from New to Needs feedback

It seems that you are installing Redmine from ubuntu packages. Those are not maintained by the Redmine developers. Please consider filing a bug in

the appropriate ubuntu tracker, try a different installation path (preferably using an official Redmine tarball or a checkout from the official repo). If you

need assistance, please post in the forum section rather than creating a new issue here. Thank you!

It maybe worthwhile to double check the referenced tutorial with a clean ubuntu installation and see if this can be reproduced and if the tutorial needs

changing or at least a warning note if something's broken in ubuntu's packages.

#2 - 2015-08-23 17:10 - Jan Niggemann (redmine.org team member)

- Status changed from Needs feedback to Closed

- Resolution set to No feedback
